MsWrdStruct::Font Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MsWrdStruct::Font Struct Reference

the font structure of a Microsoft Word file More...

`#include <MsWrdStruct.hxx>`

## Public Types
enum | { NumFlags =9 }

## Public Member Functions
| Font ()
| the constructor More...
| Font (Font const &)=default
Font & | operator= (Font const &)=default
void | insert (Font const &font, Font const *styleFont=nullptr)
| insert new font data ( beginning by updating font flags ) More...
void | updateFontToFinalState (Font const *styleFont=nullptr)
| update the font to obtain the final font More...
int | cmp (Font const &oth) const
| a comparison function More...

## Public Attributes
MWAWVariable< MWAWFont > | m_font
| the font More...
MWAWVariable< float > | m_size
| a second size More...
MWAWVariable< int > | m_value
| a unknown value More...
MWAWVariable< int > | m_flags [NumFlags]
| a list of flags More...
MWAWVariable< long > | m_picturePos
| a picture file position (if this corresponds to a picture) More...
MWAWVariable< int > | m_unknown
| some unknown flag More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

the font structure of a Microsoft Word file

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
NumFlags | the number of flags needed to store all datas

## Constructor & Destructor Documentation

## ◆ Font() [1/2]

MsWrdStruct::Font::Font | ( |  | ) |
| inline

the constructor

## ◆ Font() [2/2]

MsWrdStruct::Font::Font | ( | Font const & |  | ) |
| default

## Member Function Documentation

## ◆ cmp()

int MsWrdStruct::Font::cmp | ( | Font const & | oth | ) | const
| inline

a comparison function

## ◆ insert()

void MsWrdStruct::Font::insert | ( | Font const & | font,
|  | Font const * | styleFont = `nullptr`
| ) |  |

insert new font data ( beginning by updating font flags )

Referenced by MsWrdStruct::Paragraph::getFont(), and MsWrdText::prepareFontProperties().

## ◆ operator=()

Font& MsWrdStruct::Font::operator= | ( | Font const & |  | ) |
| default

## ◆ updateFontToFinalState()

void MsWrdStruct::Font::updateFontToFinalState | ( | Font const * | styleFont = `nullptr` | ) |

update the font to obtain the final font

Referenced by insert(), and MsWrdTextStyles::setProperty().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string MsWrdStruct::Font::m_extra

extra data

Referenced by insert(), MsWrdStruct::operator<<(), and MsWrdTextStyles::readFont().

## ◆ m_flags

MWAWVariable<int> MsWrdStruct::Font::m_flags[NumFlags]

a list of flags

Referenced by cmp(), Font(), insert(), MsWrdStruct::operator<<(), and updateFontToFinalState().

## ◆ m_font

MWAWVariable<MWAWFont> MsWrdStruct::Font::m_font

the font

Referenced by cmp(), MsWrdTextStyles::getFont(), insert(), MsWrdStruct::operator<<(), MsWrdText::prepareData(), MsWrdTextStyles::readFont(), MsWrdTextStyles::readPLC(), MsWrdTextStyles::readStylesFont(), MsWrdText::sendFieldComment(), MsWrdTextStyles::setProperty(), and updateFontToFinalState().

## ◆ m_picturePos

MWAWVariable<long> MsWrdStruct::Font::m_picturePos

a picture file position (if this corresponds to a picture)

Referenced by cmp(), insert(), MsWrdStruct::operator<<(), and MsWrdTextStyles::readFont().

## ◆ m_size

MWAWVariable<float> MsWrdStruct::Font::m_size

a second size

Referenced by cmp(), insert(), MsWrdStruct::operator<<(), and MsWrdTextStyles::readFont().

## ◆ m_unknown

MWAWVariable<int> MsWrdStruct::Font::m_unknown

some unknown flag

Referenced by cmp(), insert(), MsWrdStruct::operator<<(), and MsWrdTextStyles::readFont().

## ◆ m_value

MWAWVariable<int> MsWrdStruct::Font::m_value

a unknown value

Referenced by cmp(), insert(), and MsWrdStruct::operator<<().

The documentation for this struct was generated from the following files:

- MsWrdStruct.hxx
- MsWrdStruct.cxx